# Unicode art generator

Simple ascii art generator written in Rust to generate unicode art using only these characters: `▀`, `▄`, `█`.

## How does it work

It take an image and checks where there is black color and where isnt. Then the black pixels are converted to the "white" part of the character. So the black parts of the image is going to be visible.

### Sample image:

![Sample image](./house.png)

Converts to:

```
    ▄▄▄▄▄  ▄▀▄           
    █   █▄▀   ▀▄         
    █  ▄▀ ▄▀▀▀▄ ▀▄       
    █▄▀ ▄▀     ▀▄ ▀▄     
   ▄▀ ▄▀         ▀▄ ▀▄   
 ▄▀ ▄▀             ▀▄ ▀▄ 
▀▄▄█  ▄▄▄▄▄▄         █▄▄▀
   █  █    █ █▀▀▀▀▀█ █   
   █  █    █ █     █ █   
   █  █   ▄█ █     █ █   
   █  █    █ █▄▄▄▄▄█ █   
   █  █    █         █   
   ▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀   
```

---

**NOTE**: There is no resize option and will not be, for proper outputs you should resize the image first in some other editor (like GIMP) and then put it to this program.
